Query Parameters
Below are the query parameters available for customizing the response:
Email address to filter the users by.
Secondary identifier to filter the users by.
Filter users based on membership type. user are the end users in your
workspace and team is the team member (admin/csm) in your workspace.
Maximum number of labels to retrieve per request.
Page number for pagination.
// Replace API_KEY with your api key
curl --location 'https://api.supahub.com/api/v1/users?email=useremail%40example.com&userId=YOUR_USER_ID&typeOfMembers=all&page=1&limit=10' \
--header 'Authorization: Bearer API_KEY'
const myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer API_KEY"); // Replace API_KEY with your api key
const requestOptions = {
method: "GET",
headers: myHeaders,
redirect: "follow",
};
fetch(
"https://api.supahub.com/api/v1/[email protected]&userId=YOUR_USER_ID&typeOfMembers=all&page=1&limit=10",
requestOptions
)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.error(error));
const axios = require("axios");
let config = {
method: "get",
maxBodyLength: Infinity,
url: "https://api.supahub.com/api/v1/[email protected]&userId=YOUR_USER_ID&typeOfMembers=all&page=1&limit=10",
headers: {
Authorization: "Bearer API_KEY", // Replace API_KEY with your api key
},
};
async function makeRequest() {
try {
const response = await axios.request(config);
console.log(JSON.stringify(response.data));
} catch (error) {
console.log(error);
}
}
makeRequest();
import requests
url = "https://api.supahub.com/api/v1/[email protected]&userId=YOUR_USER_ID&typeOfMembers=all&page=1&limit=10"
headers = {
'Authorization': 'Bearer API_KEY' # Replace API_KEY with your key.
}
response = requests.request("GET", url, headers=headers)
print(response.text)